'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _Object$keys = require('@babel/runtime-corejs3/core-js-stable/object/keys');
var _Object$getOwnPropertySymbols = require('@babel/runtime-corejs3/core-js-stable/object/get-own-property-symbols');
var _filterInstanceProperty = require('@babel/runtime-corejs3/core-js-stable/instance/filter');
var _Object$getOwnPropertyDescriptor = require('@babel/runtime-corejs3/core-js-stable/object/get-own-property-descriptor');
var _forEachInstanceProperty = require('@babel/runtime-corejs3/core-js-stable/instance/for-each');
var _Object$getOwnPropertyDescriptors = require('@babel/runtime-corejs3/core-js-stable/object/get-own-property-descriptors');
var _Object$defineProperties = require('@babel/runtime-corejs3/core-js-stable/object/define-properties');
var _Object$defineProperty = require('@babel/runtime-corejs3/core-js-stable/object/define-property');
var _defineProperty = require('@babel/runtime-corejs3/helpers/defineProperty');
var _objectWithoutProperties = require('@babel/runtime-corejs3/helpers/objectWithoutProperties');
var _styled = require('@emotion/styled/base');
require('prop-types');
var react$1 = require('react');
var reactRouterDom = require('react-router-dom');
var react = require('@emotion/react');
var designSystem = require('@commercetools-uikit/design-system');
var utils = require('@commercetools-uikit/utils');
var Inline = require('@commercetools-uikit/spacings-inline');
var Text = require('@commercetools-uikit/text');
var jsxRuntime = require('@emotion/react/jsx-runtime');

function _interopDefault (e) { return e && e.__esModule ? e : { 'default': e }; }

var _Object$keys__default = /*#__PURE__*/_interopDefault(_Object$keys);
var _Object$getOwnPropertySymbols__default = /*#__PURE__*/_interopDefault(_Object$getOwnPropertySymbols);
var _filterInstanceProperty__default = /*#__PURE__*/_interopDefault(_filterInstanceProperty);
var _Object$getOwnPropertyDescriptor__default = /*#__PURE__*/_interopDefault(_Object$getOwnPropertyDescriptor);
var _forEachInstanceProperty__default = /*#__PURE__*/_interopDefault(_forEachInstanceProperty);
var _Object$getOwnPropertyDescriptors__default = /*#__PURE__*/_interopDefault(_Object$getOwnPropertyDescriptors);
var _Object$defineProperties__default = /*#__PURE__*/_interopDefault(_Object$defineProperties);
var _Object$defineProperty__default = /*#__PURE__*/_interopDefault(_Object$defineProperty);
var _styled__default = /*#__PURE__*/_interopDefault(_styled);
var Inline__default = /*#__PURE__*/_interopDefault(Inline);
var Text__default = /*#__PURE__*/_interopDefault(Text);

const _excluded = ["isDisabled", "isExternal"];
function ownKeys(e, r) { var t = _Object$keys__default["default"](e); if (_Object$getOwnPropertySymbols__default["default"]) { var o = _Object$getOwnPropertySymbols__default["default"](e); r && (o = _filterInstanceProperty__default["default"](o).call(o, function (r) { return _Object$getOwnPropertyDescriptor__default["default"](e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var _context, _context2; var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? _forEachInstanceProperty__default["default"](_context = ownKeys(Object(t), !0)).call(_context, function (r) { _defineProperty(e, r, t[r]); }) : _Object$getOwnPropertyDescriptors__default["default"] ? _Object$defineProperties__default["default"](e, _Object$getOwnPropertyDescriptors__default["default"](t)) : _forEachInstanceProperty__default["default"](_context2 = ownKeys(Object(t))).call(_context2, function (r) { _Object$defineProperty__default["default"](e, r, _Object$getOwnPropertyDescriptor__default["default"](t, r)); }); } return e; }
const hoverStyles = /*#__PURE__*/react.css("&:hover,&:focus,&:active{span{color:", designSystem.designTokens.colorPrimary25, ";}svg *{fill:", designSystem.designTokens.colorPrimary25, ";}}" + ("" ), "" );
const StyledExternalLink = /*#__PURE__*/_styled__default["default"]("a", {
  target: "e8da6550"
} )("display:inline-flex;align-items:center;font-size:1rem;border:none;background:none;padding:0;min-height:initial;text-decoration:none;span{color:", props => props.disabled ? designSystem.designTokens.colorNeutral : designSystem.designTokens.colorPrimary, ";}cursor:", props => props.disabled ? 'not-allowed' : 'pointer', ";", props => !props.disabled && hoverStyles, ";" + ("" ));
const LinkBody = props => jsxRuntime.jsxs(Inline__default["default"], {
  scale: "xs",
  alignItems: "center",
  children: [props.iconLeft ? /*#__PURE__*/react$1.cloneElement(props.iconLeft, {
    size: 'medium',
    color: props.disabled ? 'neutral60' : 'primary'
  }) : null, jsxRuntime.jsx(Text__default["default"].Body, {
    as: "span",
    children: props.label
  })]
});
LinkBody.displayName = 'LinkBody';
const LinkButton = _ref => {
  let _ref$isDisabled = _ref.isDisabled,
    isDisabled = _ref$isDisabled === void 0 ? false : _ref$isDisabled,
    _ref$isExternal = _ref.isExternal,
    isExternal = _ref$isExternal === void 0 ? false : _ref$isExternal,
    props = _objectWithoutProperties(_ref, _excluded);
  utils.useWarnDeprecatedComponent('LinkButton');
  const remainingProps = utils.filterInvalidAttributes(_objectSpread({
    isDisabled,
    isExternal
  }, props));
  if (isExternal) {
    if (typeof props.to !== 'string') {
      throw new Error('`to` must be a `string` when `isExternal` is provided.');
    }
    return (
      // @ts-ignore: the `to` prop in this case is not required
      // to be provided, instead the `href` is.
      jsxRuntime.jsx(StyledExternalLink, _objectSpread(_objectSpread({
        href: props.to,
        onClick: isDisabled ? event => event.preventDefault() : undefined,
        disabled: isDisabled,
        "data-track-component": "LinkButton",
        "aria-label": props.label
      }, remainingProps), {}, {
        children: jsxRuntime.jsx(LinkBody, {
          iconLeft: props.iconLeft,
          disabled: isDisabled,
          label: props.label
        })
      }))
    );
  }
  return jsxRuntime.jsx(StyledExternalLink, _objectSpread(_objectSpread({
    as: reactRouterDom.Link,
    to: props.to,
    disabled: isDisabled,
    onClick: isDisabled ? event => event.preventDefault() : undefined,
    "data-track-component": "LinkButton",
    "aria-label": props.label
  }, remainingProps), {}, {
    children: jsxRuntime.jsx(LinkBody, {
      iconLeft: props.iconLeft,
      disabled: isDisabled,
      label: props.label
    })
  }));
};
LinkButton.propTypes = {};
LinkButton.displayName = 'LinkButton';
var LinkButton$1 = LinkButton;

// NOTE: This string will be replaced on build time with the package version.
var version = "19.25.1";

exports["default"] = LinkButton$1;
exports.version = version;
