import type { LocationDescriptor } from 'history';
import { ReactElement } from 'react';
export type TLinkButtonProps = {
    /**
     * Should describe what the button is for.
     */
    label: string;
    /**
     * A string or an object representing the link location.
     */
    to: string | LocationDescriptor;
    /**
     * The icon of the button.
     */
    iconLeft?: ReactElement;
    /**
     * Determines if the button is disabled.
     * <br />
     * Note that this influences the `tone` and `onClick` will not be triggered in this state.
     */
    isDisabled?: boolean;
    /**
     * Determines if the button link should be a normal `<a>` element or not.
     */
    isExternal?: boolean;
};
declare const LinkButton: {
    ({ isDisabled, isExternal, ...props }: TLinkButtonProps): import("@emotion/react/jsx-runtime").JSX.Element;
    displayName: string;
};
export default LinkButton;
